import httpRequest from '@/utils/axios'

/**
 * 新建图文
 */
export function createEssay(data) {
  return httpRequest.post('/api/road/v1/backend/doc/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/road/v1/backend/doc/list', { params })
}

/**
 * 更新图文
 */
export function updateEssay(data) {
  return httpRequest.post('/api/road/v1/backend/doc/update', data)
}

/**
 * 获取图文详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/road/v1/backend/doc/view', { params })
}

/**
 * 删除图文
 */
export function deleteEssay(data) {
  return httpRequest.post('/api/road/v1/backend/doc/delete', data)
}

/**
 * 获banner列表
 */
export function getBannerList(params) {
  return httpRequest.get('/api/road/v1/backend/banner/list', { params })
}

/**
 * 获menu列表
 */
export function getMenuList(params) {
  return httpRequest.get('/api/road/v1/backend/menu/list', { params })
}

/**
 * 获pages列表
 */
export function getPagesList(params) {
  return httpRequest.get('/api/road/v1/backend/page/list', { params })
}

// /**
//  * 获取应用列表
//  */
// export function getAppList(params) {
//   return httpRequest.get('/api/register/v1/activity/index', { params })
// }
// /**
//  * 新建报名
//  */
// export function createRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/create', data)
// }

// /**
//  * 报名详情
//  */
// export function getRegisterDetail(params) {
//   return httpRequest.get('/api/register/v1/activity/view', { params })
// }

// /**
//  * 更新报名
//  */
// export function updateRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/update', data)
// }

// /**
//  * 删除报名
//  */
// export function deleteRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/delete', data)
// }
// /**
//  * 停止活动
//  */
// export function stopRegister(data) {
//   return httpRequest.post('/api/register/v1/activity/drop', data)
// }
